#
# spec file for package sysstat (Version 4.0.7)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         sysstat
License:      GPL
Group:        System/Monitoring
Autoreqprov:  on
Requires:     gnuplot
Version:      4.0.7
Release:      133
PreReq:       %insserv_prereq %fillup_prereq
Source0:      %{name}-%{version}.tar.bz2
Source1:      %{name}-SuSE.tar.bz2
Patch:        %{name}-%{version}.patch
Patch2:       %{name}-%{version}-msg.patch
Patch3:       %{name}-%{version}-bumper.diff
Patch4:       %{name}-%{version}-isag.patch
URL:          http://perso.wanadoo.fr/sebastien.godard/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      sar and iostat commands for Linux

%description
sar and iostat commands for Linux. The sar command collects and reports
system activity information. The iostat command reports CPU statistics
and I/O statistics for tty devices and disks.  The information
collected by sar and iostat can also be saved in a file in a binary
format for future inspection.  Both commands now support SMP machines
when displaying CPU utilization.



Authors:
--------
    Sebastien Godard <sebastien.godard@wanadoo.fr>

%prep
%setup -a 1
%patch
%patch2
%patch3
%patch4

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/lib \
           $RPM_BUILD_ROOT/usr/bin \
           $RPM_BUILD_ROOT%{_mandir}/man1 \
           $RPM_BUILD_ROOT%{_mandir}/man8 \
           $RPM_BUILD_ROOT/var/log/sa
make DESTDIR=$RPM_BUILD_ROOT \
     MAN1_DIR=%{_mandir}/man1 \
     MAN8_DIR=%{_mandir}/man8 \
     install
cp -a SuSE/* $RPM_BUILD_ROOT
cp contrib/isag/isag $RPM_BUILD_ROOT/usr/bin
cp contrib/isag/isag.1 $RPM_BUILD_ROOT%{_mandir}/man1
rm -rf $RPM_BUILD_ROOT/usr/doc/sysstat*

%preun
rm -f /var/log/sa/*

%post
%{fillup_and_insserv sysstat}

%postun
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS README TODO
%doc %{_mandir}/*/*
%attr(600,root,root) %config /etc/cron.d/*
%attr(755,root,root) /etc/init.d/sysstat
/usr/bin/*
/usr/lib/sa
/usr/share/locale/*/*/sysstat.mo
/var/log/sa

%changelog -n sysstat
* Mon Mar 08 2004 - tcrhak@suse.cz
- fixed insecure tmp file handling in isag (bug #35103)
* Fri Sep 12 2003 - tcrhak@suse.cz
- fix for systems with more than 32 cpus and a lot of memory
  [bug #30561] patch bumper
* Wed Aug 20 2003 - tcrhak@suse.cz
- added LSB comments to init script [bug #24541]
* Wed Jul 23 2003 - tcrhak@suse.cz
- do not log running /usr/lib/sa/sa1 every 10 minutes [bug #27253]
* Mon Jun 02 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Mon Mar 10 2003 - tcrhak@suse.cz
- added isag script and man page
- be more descriptive in an error message (patch msg)
* Thu Feb 27 2003 - tcrhak@suse.cz
- require $local_fs for start in init script [bug #24400]
  (patch init)
* Mon Feb 17 2003 - tcrhak@suse.cz
- updated to version 4.0.7
- moved helper binary and scripts
  back to /usr/lib [bug #21713]
* Fri Sep 06 2002 - tcrhak@suse.cz
- bug #18901:
- use proper libdir (lib/lib64) in cron, scripts and man pages
- in /etc/init.d/sysstat: no option b, test exit
  status of sadc, remove lockfile and be verbose
* Tue Aug 06 2002 - kukuk@suse.de
- Don't start programs in post-install
- Add PreRequiers for insserv and fillup
* Thu Feb 07 2002 - tcrhak@suse.cz
- another %%{_libdir} fix
* Thu Jan 31 2002 - tcrhak@suse.cz
- update to 4.0.3
- refined scripts sa1 and sa2 to handle lockfile safe
* Fri Jan 18 2002 - tcrhak@suse.cz
- used macros %%{_lib} and %%{_libdir}
* Tue Dec 18 2001 - tcrhak@suse.cz
- update to version 4.0.2
- fixed bug #12664
- added dependecy on gnuplot
- adapted spec to use fillup_and_insserv/insserv_cleanup staff
* Mon Aug 20 2001 - adostal@suse.cz
- update to version 4.0.1
- update patch
* Tue May 15 2001 - pblaha@suse.cz
- add file lock for scripts sa1 and sa2 for fix bug #7861
* Thu May 03 2001 - pblaha@suse.cz
- use sa.%%Y_%%m_%%d format for sar command
* Sun Apr 15 2001 - schwab@suse.de
- Use getpagesize() instead of PAGE_SHIFT.
* Thu Apr 12 2001 - pblaha@suse.cz
- update on 4.0.0
* Wed Mar 21 2001 - schwab@suse.de
- Use getpagesize() instead of PAGE_SHIFT.
* Thu Dec 07 2000 - nadvornik@suse.de
- fixed init script
* Wed Dec 06 2000 - nadvornik@suse.cz
- fixed sa1 and sa2 scripts
- fixed cron files
* Sat Dec 02 2000 - smid@suse.cz
- new version 3.3.2
* Thu Oct 19 2000 - smid@suse.cz
- new version 3.3.1
* Thu Jun 08 2000 - nadvornik@suse.cz
- fixed clean section
* Fri May 05 2000 - smid@suse.cz
- upgrade to 3.2
- buildroot added
* Tue Jan 18 2000 - nashif@suse.de
- Initial release (Version 2.2)
